
QGIS Application - Bug report #11682

Raster calculator produces only 0 values with conditional expression

2014-11-18 08:14 AM - Andreas Neumann

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Raster Calculator

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19926

Description

Steps to reproduce:

1. Download file from http://webgis.uster.ch/temp/temp_test.tif

2. Create a new project and set EPSG:21781 as projection

3. Open the raster file in the project

4. Open the raster calculator and use the following expression:

(temp_test@1=249)*255 + (temp_test@1<249)*temp_test@1 + (temp_test@1>249)*temp_test@1

Expected outcome is that all raster values with value 249 are replaced with 255 and all other values would stay as they are. The actual

outcome is that all values are set to zero.

Related issues:

Related to QGIS Application - Feature request # 7581: raster calculator reall... Open 2013-04-11

Related to QGIS Application - Bug report # 10965: Raster calculator always re... Closed 2014-07-28

Associated revisions

Revision b35a596a - 2015-02-10 12:38 AM - Jürgen Fischer

raster calculator: allow unquoted raster references (fixes #11682)

History

#1 - 2014-11-18 08:15 AM - Andreas Neumann

Carlos Cerdan suggests in this thread ( http://lists.osgeo.org/pipermail/qgis-user/2014-November/029847.html )  that I may have to reproject my data

before using the raster calculator. However, this did not really helps and should not be necessary.

#2 - 2014-11-18 11:03 AM - Giovanni Manghi

- Target version set to Version 2.8

it is a blocker because in qgis 2.8 works as expected.

Anyway the qgis raster calculator is kind of rubbish, especially when it comes to reclassifying rasters, and should deserve much more attention (like the

raster georeferencer; see also #7581 and #10965)
#3 - 2014-11-18 11:03 AM - Giovanni Manghi

- Affected QGIS version changed from 2.6.0 to master

#4 - 2015-02-09 10:14 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"b35a596af47d1f0108eedf014c5c56e34e111b55".
